from passlib.context import CryptContext

pwd_context = CryptContext(schemes=["argon2"])


def hash_password(password: str | bytes):
    return pwd_context.hash(password)


def verify_password(password: str | bytes, hashed_password: str):
    return pwd_context.verify(password, hashed_password)
